%global svndate 20110513
%global svnrev  1455

Name:           heekscad
Version:        0.18.0
Release:        0.1.%{svndate}svn%{svnrev}%{?dist}
Summary:        CAD application using OpenCASDADE and wxWidgets
Group:          Applications/Engineering
License:        BSD
URL:            http://code.google.com/p/heekscad/
# fedora-getsvn heekscad http://heekscad.googlecode.com/svn/trunk/ %{svnrev}
Source0:        %{name}-svn%{svnrev}.tar.bz2
Patch0:         %{name}-cmake.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wxGTK-devel
BuildRequires:  python-devel
#BuildRequires:  tinyxml-devel
BuildRequires:  OpenCASCADE-devel
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
BuildRequires:  gettext


%description
Functionality: Import solid models from STEP and IGES files. Draw construction
geometry and lines and arcs. Create new primitive solids, or make solids by
extruding a sketch or by making a lofted solid between sketches. Modify solids
using blending, or boolean operations. Save IGES, STEP and STL. Printer plot
the 2D geometry or to HPGL. Import and export dxf files; lines, arcs, ellipses,
splines and polylines are supported. Use the geometric constraints solver to
create accurate drawings from rough sketches.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .cmake-build

# fix permissions on source files
chmod a-x src/*
chmod a-x tinyxml/*

# fix EOLs
sed -i.orig 's/\r//g' HeeksCAD.desktop


%build
%{cmake} .
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang HeeksCAD


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f HeeksCAD.lang
%defattr(-,root,root,-)
%doc COPYING docs/Manual
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/*


%changelog
* Fri May 13 2011 Dan Horák <dan[at]danny.cz> 0.18.0-0.1.20110513svn1455
- updated to revision 1455

* Mon May 31 2010 Dan Horák <dan[at]danny.cz> 0.13.1-0.1.20100531svn1178
- updated to revision 1178

* Sun Jan 24 2010 Dan Horák <dan[at]danny.cz> 0.11.0-0.1.20100117svn1049
- initial Fedora version
